getData.lme {nlme} | R Documentation

## Extract lme Object Data

### Description

If present in the calling sequence used to produce `object`, the data frame used to fit the model is obtained.

### Usage

    ## S3 method for class 'lme':
    getData(object)

### Arguments

`object` | an object inheriting from class `lme`, representing a linear mixed-effects fitted model.

### Value

if a `data` argument is present in the calling sequence that produced `object`, the corresponding data frame (with `na.action` and `subset` applied to it, if also present in the call that produced `object`) is returned; else, `NULL` is returned.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`lme`

### Examples

    fm1 <- lme(follicles ~ sin(2*pi*Time) + cos(2*pi*Time), data = Ovary,
               random = ~ sin(2*pi*Time))
    getData(fm1)

[Package nlme version 3.1-73 Index]